features:
  secondary:
    - name: "Display a single file when reviewing merge requests"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/project/merge_requests/reviewing_and_managing_merge_requests.html#file-by-file-diff-navigation'
      reporter: danielgruesso
      stage: plan
      categories:
        - 'Code Review'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/222790'
      description: |
        Reviewing merge requests diffs is an essential task when reviewing code
        contributions, as this is where most of the communication between author and
        reviewer takes place. However, as merge requests become larger and more files
        are involved, navigation and performance of merge request diffs can become difficult.

        To resolve the problem, GitLab 13.2 introduces an option to see one file
        at a time on the **Changes** tab of merge requests. It provides a cleaner
        workspace and enhances the reviewer focus on one single file. At the
        bottom, you can navigate between the files changed by clicking the
        **Prev** and **Next** buttons. It can be optionally enabled through user
        preferences.

        Thanks to GitLab user [Osher](https://gitlab.com/osherdp) for contributing
        to the initial iteration.
